Bug 521167 - RFE: Gigawords support in ppp
Summary: RFE: Gigawords support in ppp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ppp
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-04 00:32 UTC by Igor A Tarasov
Modified: 2014-11-09 22:32 UTC (History)
2 users (show)

Fixed In Version: ppp-2.4.4-13.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-27 18:29:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gentoo 156606 None None None Never

Description Igor A Tarasov 2009-09-04 00:32:13 UTC
Description of problem:

For accounting purposes, pppd support Radius attributes Acct-Output-Octets and Acct-Input-Octets, which is 32 bit unsigned counters, so it limited to 4Gb traffic. 

Today Internet bandwidth is very high, so 4Gb limit is no longer meets today's needs. 

It is very important, that pppd will support new Acct-Input-Gigawords and Acct-Output-Gigawords radius attributes (see RFC #2869: http://www.ietf.org/rfc/rfc2869.txt)

pppd.gigawords patch is already exists and included in other distros, so Fedora, as modern server OS must include it too:
http://www.mail-archive.com/leaf-cvs-commits@lists.sourceforge.net/msg06097.html

Similar bugreport in other distributives:
http://bugs.gentoo.org/156606
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475122

Comment 1 Bug Zapper 2010-04-28 10:10:22 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2010-05-10 20:48:23 UTC
ppp-2.4.4-13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ppp-2.4.4-13.fc11

Comment 3 Jiri Skala 2010-05-11 14:18:19 UTC
Hi, patch is applied and the package (see comment #2) is currently in updates-testing repository. Could you test it and give me a feedback.

Thanks

Jiri

Comment 4 Fedora Update System 2010-05-11 19:46:57 UTC
ppp-2.4.4-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ppp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ppp-2.4.4-13.fc11

Comment 5 Fedora Update System 2010-05-27 18:29:18 UTC
ppp-2.4.4-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.